Paginate Application Account Application Permissions
Permissions
The Identity Management API is authorized at the application level. Before calling the API, you need to set API permissions for different applications. For details, see API Permissions.
| Permission Code | Description |
|---|---|
| account_all | Read/Write permission for account management APIs |
| account_read | Read permission for account management APIs |
| all | Read/Write permission for all APIs |
| read | Read permission for all read APIs |
Request Description
Request Headers
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| Authorization | Authorization | Yes | String | Format: Bearer {access_token} |
| Content-Type | Content Type | Yes | String | Fixed value: application/json; charset=utf-8 |
Request Example
None
Request Parameters
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| application_id | Application ID | Yes | String | Target application ID |
| offset | Page number | Yes | Int | Starting from page 0 |
| limit | Page size | Yes | Int | Between 1 and 50 |
Response Example
Response Example
Success Example
HTTP/1.1 200 OK
json
{
"number": 0,
"total": 2,
"size": 10,
"list": [
{
"accountId": "20230922093020557-4362-A6C9CF0EE",
"roles": [
{
"id": "20230914164827506-35F4-A740454E5",
"remoteId": "testRoleA"
}
]
},
{
"accountId": "20230921140018768-35A4-7DBD541BC",
"roles": [
{
"id": "20230914164827506-35F4-A740454E5",
"remoteId": "testRoleA"
}
],
"funcPerms": [
{
"id": "20230914153344573-EB4E-3CB09F9B6",
"remoteId": null
},
{
"id": "20230920113324284-EFDF-BE5B34E7D",
"remoteId": null
}
]
}
]
}Error Example
HTTP/1.1 400 Bad Request
json
{
"error_code": " APP.0001",
"error_msg": "应用不存在"
}Response Parameters
| Parameter Name | Name | Type | Description |
|---|---|---|---|
| accountId | Application account ID | Object | |
| roles | Role information set | Object | id in the set: IDaaS primary key information, remoteId: remote ID |
| funcPerms | Function permission information set | Object | id in the set: IDaaS primary key information, remoteId: remote ID |
| dataPerms | Data permission information set | Object | id in the set: IDaaS primary key information, remoteId: remote ID |
Error Codes
| Status Code | Error Code | Chinese Error Message | English Error Message | Resolution |
|---|---|---|---|---|
| 400 | APP.0001 | 应用不存在 | App does not exist | Please check whether the app exists |